Linux Kernel packet_set_ring Privilege Escalation Exploit

This module exploits a signedness error condition in the Linux Kernel via PACKET_RX_RING option on an AF_PACKET socket with a TPACKET_V3 ring buffer version enabled. The packet_set_ring function in net/packet/af_packet.c in the Linux kernel through 4.10.6 does not properly validate certain block-size data, which allows local users to escalate privileges.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2017-7308
Product Version: 
2017_R1
Released Date: 
Monday, July 10, 2017 - 00:00